summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--scripts/ReleaseTasks.txt13
-rw-r--r--scripts/countTranslations.sh21
-rwxr-xr-xscripts/prep-manual.sh7
3 files changed, 41 insertions, 0 deletions
diff --git a/scripts/ReleaseTasks.txt b/scripts/ReleaseTasks.txt
new file mode 100644
index 000000000..8352ef0c9
--- /dev/null
+++ b/scripts/ReleaseTasks.txt
@@ -0,0 +1,13 @@
+Work on release announcement draft in subsurface.github.io repo to get translations
+
+Run scripts/makeRelease.sh
+Upload sources to webserver
+Push sources and tags to github
+
+Check that automated Linux distro builds have succeeded and are pushed to RELEASE
+Notarize automated Mac build and upload to new and old webserver (for version check)
+Copy Windows installers and AppImages from GitHub to new and old webserver (for version check)
+
+Add date to release announcement draft and move to the corresponding _posts directories
+Update links on website
+Post to Scubaboard
diff --git a/scripts/countTranslations.sh b/scripts/countTranslations.sh
new file mode 100644
index 000000000..3fc099926
--- /dev/null
+++ b/scripts/countTranslations.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+#
+# simply create some stats
+if [ ! -d translations ] && [ ! -f translations/subsurface_source.ts ] ; then
+ echo "please start from the Subsurface source directory"
+ exit 1
+fi
+
+cd translations || exit 1
+
+STRINGS=$(grep -c source subsurface_source.ts)
+
+for tr in subsurface_*.ts
+do
+ [ "$tr" = "subsurface_source.ts" ] && continue
+ [ "$tr" = "subsurface_en_US.ts" ] && continue
+ MISSING=$(grep -c "translation.*unfinished" "$tr")
+ PERCENT=$(( (STRINGS - MISSING) * 100 / STRINGS ))
+ printf "%3d %s\n" "$PERCENT" "$tr"
+done | sort -n -r
+
diff --git a/scripts/prep-manual.sh b/scripts/prep-manual.sh
new file mode 100755
index 000000000..130d2d736
--- /dev/null
+++ b/scripts/prep-manual.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+cat $1 | \
+ sed -e '1,/title/d;/<\/head>/,/<body/d;/<\/body/,/<\/html/d' | \
+ sed -e '/^@media/,/^}/d' | \
+ sed -e 's/src="images/src="\/images/g' | \
+ sed -e 's/src="mobile-images/src="\/mobile-images/g' | \
+ html-minifier --collapse-whitespace --keep-closing-slash --minify-js --minify-css > $1.wp